import{s as lt,n as ot,o as rt}from"../chunks/scheduler.37c15a92.js";import{S as mt,i as ut,g as l,s as i,r as D,A as pt,h as o,f as n,c as s,j as it,u as G,x as m,k as st,y as gt,a,v as R,d as B,t as F,w as O}from"../chunks/index.2bf4358c.js";import{H as Q,E as ft}from"../chunks/EditOnGithub.8916dc7c.js";function dt(Y){let r,L,C,N,u,b,p,J="Before we dive into advanced models like Transformers, let’s first understand what Natural Language Processing (NLP) is and why it matters.",T,g,k,f,K="NLP is a branch of artificial intelligence (AI) that helps computers understand and process human language, just like we do. Instead of just recognizing words, NLP tries to understand the meaning behind them.",E,d,V="Here are some common things NLP can do:",I,h,X="<li><strong>Understanding Sentences</strong> – Example: Checking if a movie review is positive or negative, detecting spam emails, or finding out if two sentences mean the same thing.</li> <li><strong>Understanding Words in a Sentence</strong> – Example: Recognizing nouns (people, places, things) and verbs (actions) or identifying names of people, locations, and companies in a text.</li> <li><strong>Generating Text</strong> – Example: Auto-suggesting the next word while typing, filling in missing words in a sentence, or writing entire paragraphs based on a short prompt.</li> <li><strong>Answering Questions from a Text</strong> – Example: You ask, “Who is the president of the USA?” and an NLP system reads an article and gives you the answer.</li> <li><strong>Creating New Sentences from Existing Text</strong> – Example: Translating a sentence into another language or summarizing a long article into a few key points.</li>",H,c,Z="NLP is not just for written text. It is also used for voice assistants (like Siri and Alexa), speech-to-text transcription, and even describing images in words.",j,x,z,w,tt="Humans understand language naturally, but computers don’t. For example:",A,v,et="<li>If someone says, “I’m hungry,” we immediately know they want food.</li> <li>We also understand that “I’m hungry” and “I’m sad” have different meanings.</li>",S,$,nt="However, for a computer, all it sees is a string of words. It doesn’t automatically understand meaning, tone, or context. To make computers understand language better, researchers have developed special techniques to process text in a way that AI can learn from it.",W,P,at="In the next chapter, we’ll look at how NLP models work and how they have evolved to better understand human language!",M,y,U,_,q;return u=new Q({props:{title:"Natural Language Processing (NLP)",local:"natural-language-processing-nlp",headingTag:"h1"}}),g=new Q({props:{title:"What is NLP?",local:"what-is-nlp",headingTag:"h2"}}),x=new Q({props:{title:"Why is NLP Difficult?",local:"why-is-nlp-difficult",headingTag:"h2"}}),y=new ft({props:{source:"https://github.com/huggingface/course/blob/main/chapters/en/chapter1/2.mdx"}}),{c(){r=l("meta"),L=i(),C=l("p"),N=i(),D(u.$$.fragment),b=i(),p=l("p"),p.textContent=J,T=i(),D(g.$$.fragment),k=i(),f=l("p"),f.textContent=K,E=i(),d=l("p"),d.textContent=V,I=i(),h=l("ul"),h.innerHTML=X,H=i(),c=l("p"),c.textContent=Z,j=i(),D(x.$$.fragment),z=i(),w=l("p"),w.textContent=tt,A=i(),v=l("ul"),v.innerHTML=et,S=i(),$=l("p"),$.textContent=nt,W=i(),P=l("p"),P.textContent=at,M=i(),D(y.$$.fragment),U=i(),_=l("p"),this.h()},l(t){const e=pt("svelte-u9bgzb",document.head);r=o(e,"META",{name:!0,content:!0}),e.forEach(n),L=s(t),C=o(t,"P",{}),it(C).forEach(n),N=s(t),G(u.$$.fragment,t),b=s(t),p=o(t,"P",{"data-svelte-h":!0}),m(p)!=="svelte-1ke5mha"&&(p.textContent=J),T=s(t),G(g.$$.fragment,t),k=s(t),f=o(t,"P",{"data-svelte-h":!0}),m(f)!=="svelte-1thqz8r"&&(f.textContent=K),E=s(t),d=o(t,"P",{"data-svelte-h":!0}),m(d)!=="svelte-1o5jyyb"&&(d.textContent=V),I=s(t),h=o(t,"UL",{"data-svelte-h":!0}),m(h)!=="svelte-gjz9q2"&&(h.innerHTML=X),H=s(t),c=o(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-l6jfzj"&&(c.textContent=Z),j=s(t),G(x.$$.fragment,t),z=s(t),w=o(t,"P",{"data-svelte-h":!0}),m(w)!=="svelte-1npn6vy"&&(w.textContent=tt),A=s(t),v=o(t,"UL",{"data-svelte-h":!0}),m(v)!=="svelte-10ngdew"&&(v.innerHTML=et),S=s(t),$=o(t,"P",{"data-svelte-h":!0}),m($)!=="svelte-1xu5wzg"&&($.textContent=nt),W=s(t),P=o(t,"P",{"data-svelte-h":!0}),m(P)!=="svelte-1mi2tel"&&(P.textContent=at),M=s(t),G(y.$$.fragment,t),U=s(t),_=o(t,"P",{}),it(_).forEach(n),this.h()},h(){st(r,"name","hf:doc:metadata"),st(r,"content",ht)},m(t,e){gt(document.head,r),a(t,L,e),a(t,C,e),a(t,N,e),R(u,t,e),a(t,b,e),a(t,p,e),a(t,T,e),R(g,t,e),a(t,k,e),a(t,f,e),a(t,E,e),a(t,d,e),a(t,I,e),a(t,h,e),a(t,H,e),a(t,c,e),a(t,j,e),R(x,t,e),a(t,z,e),a(t,w,e),a(t,A,e),a(t,v,e),a(t,S,e),a(t,$,e),a(t,W,e),a(t,P,e),a(t,M,e),R(y,t,e),a(t,U,e),a(t,_,e),q=!0},p:ot,i(t){q||(B(u.$$.fragment,t),B(g.$$.fragment,t),B(x.$$.fragment,t),B(y.$$.fragment,t),q=!0)},o(t){F(u.$$.fragment,t),F(g.$$.fragment,t),F(x.$$.fragment,t),F(y.$$.fragment,t),q=!1},d(t){t&&(n(L),n(C),n(N),n(b),n(p),n(T),n(k),n(f),n(E),n(d),n(I),n(h),n(H),n(c),n(j),n(z),n(w),n(A),n(v),n(S),n($),n(W),n(P),n(M),n(U),n(_)),n(r),O(u,t),O(g,t),O(x,t),O(y,t)}}}const ht='{"title":"Natural Language Processing (NLP)","local":"natural-language-processing-nlp","sections":[{"title":"What is NLP?","local":"what-is-nlp","sections":[],"depth":2},{"title":"Why is NLP Difficult?","local":"why-is-nlp-difficult","sections":[],"depth":2}],"depth":1}';function ct(Y){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $t extends mt{constructor(r){super(),ut(this,r,ct,dt,lt,{})}}export{$t as component};
